/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.html.normalizer.spec.valueobject;

/**
 * HTMLの要素についての仕様をあらわすバリューオブジェクトです。
 */
public class BlancoHtmlElementSpec {
    /**
     * 要素名。
     *
     * フィールド: [name]。
     */
    private String fName;

    /**
     * 開始タグ。
     *
     * フィールド: [startTag]。
     * デフォルト: [blanco.html.normalizer.spec.stringgroup.BlancoHtmlElementSpecTypeStringGroup.DEFAULT]。
     */
    private int fStartTag = blanco.html.normalizer.spec.stringgroup.BlancoHtmlElementSpecTypeStringGroup.DEFAULT;

    /**
     * 終了タグ。
     *
     * フィールド: [endTag]。
     * デフォルト: [blanco.html.normalizer.spec.stringgroup.BlancoHtmlElementSpecTypeStringGroup.DEFAULT]。
     */
    private int fEndTag = blanco.html.normalizer.spec.stringgroup.BlancoHtmlElementSpecTypeStringGroup.DEFAULT;

    /**
     * 空。
     *
     * フィールド: [empty]。
     * デフォルト: [blanco.html.normalizer.spec.stringgroup.BlancoHtmlElementSpecTypeStringGroup.DEFAULT]。
     */
    private int fEmpty = blanco.html.normalizer.spec.stringgroup.BlancoHtmlElementSpecTypeStringGroup.DEFAULT;

    /**
     * 非推奨。
     *
     * フィールド: [depr]。
     * デフォルト: [blanco.html.normalizer.spec.stringgroup.BlancoHtmlElementSpecTypeStringGroup.DEFAULT]。
     */
    private int fDepr = blanco.html.normalizer.spec.stringgroup.BlancoHtmlElementSpecTypeStringGroup.DEFAULT;

    /**
     * DTD。
     *
     * フィールド: [dtd]。
     * デフォルト: [blanco.html.normalizer.spec.stringgroup.BlancoHtmlElementSpecTypeStringGroup.DEFAULT]。
     */
    private int fDtd = blanco.html.normalizer.spec.stringgroup.BlancoHtmlElementSpecTypeStringGroup.DEFAULT;

    /**
     * このタグ内でのホワイトスペースは厳格かどうか。&lt;PRE&gt; などを想定。
     *
     * フィールド: [noname1]。
     * デフォルト: [false]。
     */
    private boolean fNoname1 = false;

    /**
     * 自分と同じタグが発生した際に、自動的にでクローズする必要があるかどうか。&lt;P&gt;タグなどを想定。
     *
     * フィールド: [noname2]。
     * デフォルト: [false]。
     */
    private boolean fNoname2 = false;

    /**
     * フィールド [name] の値を設定します。
     *
     * フィールドの説明: [要素名。]。
     *
     * @param argName フィールド[name]に設定する値。
     */
    public void setName(final String argName) {
        fName = argName;
    }

    /**
     * フィールド [name] の値を取得します。
     *
     * フィールドの説明: [要素名。]。
     *
     * @return フィールド[name]から取得した値。
     */
    public String getName() {
        return fName;
    }

    /**
     * フィールド [startTag] の値を設定します。
     *
     * フィールドの説明: [開始タグ。]。
     *
     * @param argStartTag フィールド[startTag]に設定する値。
     */
    public void setStartTag(final int argStartTag) {
        fStartTag = argStartTag;
    }

    /**
     * フィールド [startTag] の値を取得します。
     *
     * フィールドの説明: [開始タグ。]。
     * デフォルト: [blanco.html.normalizer.spec.stringgroup.BlancoHtmlElementSpecTypeStringGroup.DEFAULT]。
     *
     * @return フィールド[startTag]から取得した値。
     */
    public int getStartTag() {
        return fStartTag;
    }

    /**
     * フィールド [endTag] の値を設定します。
     *
     * フィールドの説明: [終了タグ。]。
     *
     * @param argEndTag フィールド[endTag]に設定する値。
     */
    public void setEndTag(final int argEndTag) {
        fEndTag = argEndTag;
    }

    /**
     * フィールド [endTag] の値を取得します。
     *
     * フィールドの説明: [終了タグ。]。
     * デフォルト: [blanco.html.normalizer.spec.stringgroup.BlancoHtmlElementSpecTypeStringGroup.DEFAULT]。
     *
     * @return フィールド[endTag]から取得した値。
     */
    public int getEndTag() {
        return fEndTag;
    }

    /**
     * フィールド [empty] の値を設定します。
     *
     * フィールドの説明: [空。]。
     *
     * @param argEmpty フィールド[empty]に設定する値。
     */
    public void setEmpty(final int argEmpty) {
        fEmpty = argEmpty;
    }

    /**
     * フィールド [empty] の値を取得します。
     *
     * フィールドの説明: [空。]。
     * デフォルト: [blanco.html.normalizer.spec.stringgroup.BlancoHtmlElementSpecTypeStringGroup.DEFAULT]。
     *
     * @return フィールド[empty]から取得した値。
     */
    public int getEmpty() {
        return fEmpty;
    }

    /**
     * フィールド [depr] の値を設定します。
     *
     * フィールドの説明: [非推奨。]。
     *
     * @param argDepr フィールド[depr]に設定する値。
     */
    public void setDepr(final int argDepr) {
        fDepr = argDepr;
    }

    /**
     * フィールド [depr] の値を取得します。
     *
     * フィールドの説明: [非推奨。]。
     * デフォルト: [blanco.html.normalizer.spec.stringgroup.BlancoHtmlElementSpecTypeStringGroup.DEFAULT]。
     *
     * @return フィールド[depr]から取得した値。
     */
    public int getDepr() {
        return fDepr;
    }

    /**
     * フィールド [dtd] の値を設定します。
     *
     * フィールドの説明: [DTD。]。
     *
     * @param argDtd フィールド[dtd]に設定する値。
     */
    public void setDtd(final int argDtd) {
        fDtd = argDtd;
    }

    /**
     * フィールド [dtd] の値を取得します。
     *
     * フィールドの説明: [DTD。]。
     * デフォルト: [blanco.html.normalizer.spec.stringgroup.BlancoHtmlElementSpecTypeStringGroup.DEFAULT]。
     *
     * @return フィールド[dtd]から取得した値。
     */
    public int getDtd() {
        return fDtd;
    }

    /**
     * フィールド [noname1] の値を設定します。
     *
     * フィールドの説明: [このタグ内でのホワイトスペースは厳格かどうか。<PRE> などを想定。]。
     *
     * @param argNoname1 フィールド[noname1]に設定する値。
     */
    public void setNoname1(final boolean argNoname1) {
        fNoname1 = argNoname1;
    }

    /**
     * フィールド [noname1] の値を取得します。
     *
     * フィールドの説明: [このタグ内でのホワイトスペースは厳格かどうか。<PRE> などを想定。]。
     * デフォルト: [false]。
     *
     * @return フィールド[noname1]から取得した値。
     */
    public boolean getNoname1() {
        return fNoname1;
    }

    /**
     * フィールド [noname2] の値を設定します。
     *
     * フィールドの説明: [自分と同じタグが発生した際に、自動的にでクローズする必要があるかどうか。<P>タグなどを想定。]。
     *
     * @param argNoname2 フィールド[noname2]に設定する値。
     */
    public void setNoname2(final boolean argNoname2) {
        fNoname2 = argNoname2;
    }

    /**
     * フィールド [noname2] の値を取得します。
     *
     * フィールドの説明: [自分と同じタグが発生した際に、自動的にでクローズする必要があるかどうか。<P>タグなどを想定。]。
     * デフォルト: [false]。
     *
     * @return フィールド[noname2]から取得した値。
     */
    public boolean getNoname2() {
        return fNoname2;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * <P>使用上の注意</P>
     * <UL>
     * <LI>オブジェクトのシャロー範囲のみ文字列化の処理対象となります。
     * <LI>オブジェクトが循環参照している場合には、このメソッドは使わないでください。
     * </UL>
     *
     * @return バリューオブジェクトの文字列表現。
     */
    @Override
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.html.normalizer.spec.valueobject.BlancoHtmlElementSpec[");
        buf.append("name=" + fName);
        buf.append(",startTag=" + fStartTag);
        buf.append(",endTag=" + fEndTag);
        buf.append(",empty=" + fEmpty);
        buf.append(",depr=" + fDepr);
        buf.append(",dtd=" + fDtd);
        buf.append(",noname1=" + fNoname1);
        buf.append(",noname2=" + fNoname2);
        buf.append("]");
        return buf.toString();
    }
}
